Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.mockoperation
Class WsdlMockOperationDesktopPanel.DispatchXPathGroovyEditorModel

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.mockoperation.WsdlMockOperationDesktopPanel.DispatchXPathGroovyEditorModel

All Implemented Interfaces:
  GroovyEditorModel

Enclosing class:
  WsdlMockOperationDesktopPanel

    public class WsdlMockOperationDesktopPanel.DispatchXPathGroovyEditorModel

extends java.lang.Object
implements GroovyEditorModel

Constructor Summary
`WsdlMockOperationDesktopPanel.DispatchXPathGroovyEditorModel()`

Method Summary
`java.lang.String[]` | `getKeywords()`
`javax.swing.Action` | `getRunAction()`
`java.lang.String` | `getScript()`
`Settings` | `getSettings()`
`void` | `setScript(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlMockOperationDesktopPanel.DispatchXPathGroovyEditorModel

    public WsdlMockOperationDesktopPanel.DispatchXPathGroovyEditorModel()

Method Detail

### getKeywords

    public java.lang.String[] getKeywords()

  Specified by:
    `getKeywords` in interface `GroovyEditorModel`

### getRunAction

    public javax.swing.Action getRunAction()

  Specified by:
    `getRunAction` in interface `GroovyEditorModel`

### getScript

    public java.lang.String getScript()

  Specified by:
    `getScript` in interface `GroovyEditorModel`

### getSettings

    public Settings getSettings()

  Specified by:
    `getSettings` in interface `GroovyEditorModel`

### setScript

    public void setScript(java.lang.String text)

  Specified by:
    `setScript` in interface `GroovyEditorModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.